Ask Your Question
1

DevStack using past Versions. pathspec 'stable/liberty' did not match any file(s) known to git.

asked 2017-01-11 08:47:59 -0500

anonymous user

Anonymous

updated 2017-01-11 08:58:01 -0500

This seems to happen regularly. I need to for testing and lab purposes from time to time still be able to spin up previous OpenStack versions and in this case Liberty. However I get no matter what I do when I specify the OpenStack branch of stable/liberty:

git checkout stable/liberty error: pathspec 'stable/liberty' did not match any file(s) known to git.

Anyone come across this and know what I can do?

Here is my local.conf file that I am using after doing a: git clone -b stable/liberty https://github.com/openstack-dev/devstack.git (https://github.com/openstack-dev/devs...) Pastebin of my local.conf file http://pastebin.com/Ec8uWugE

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
1

answered 2017-01-11 16:53:17 -0500

j-rosenboom gravatar image

Liberty is EOL, the branches have been removed. There are tags 'liberty-eol' marking the latest release, so you could use these if you really wanted, either checking out manually or by setting the *_BRANCH variables as seen here: https://github.com/openstack-dev/devs...

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2017-01-11 08:47:59 -0500

Seen: 178 times

Last updated: Jan 11